#ifndef CTIMER_H
#define CTIMER_H

#include <psptypes.h>
#include <stdio.h>
#include <stdlib.h>
#include <psprtc.h>

class cTimer
{
private:
	double dt;

	u64 timeNow;
	u64 timeLastAsk;
	u32 tickResolution;
public:
	cTimer( void );

	double GetDeltaTime( void );	// Returns the delta time

};


#endif // CTIMER_H
